﻿using System;
using System.IO;
using System.Text;
using System.Net;
using System.Net.Security;

namespace cs
{
    class Program
    {
        private const String host = "http://youyun.market.alicloudapi.com";
        private const String path = "/";
        private const String method = "POST";
        // 如何获得appcode?
        // market.aliyun.com->买家中心（左上角）->进入管理控制台->已购买的服务->简历解析->AppCode
        private const String appcode = "阿里云市场appcode";
        private const String cv_file = "要解析的简历文件，请使用绝对路径";

        static void Main(string[] args)
        {
            Console.WriteLine("Hello World!");

            //读取文件内容

            FileStream filestream = new FileStream(cv_file, FileMode.Open);

            byte[] bt = new byte[filestream.Length];
            //调用read读取方法
            filestream.Read(bt, 0, bt.Length);
            string base64String = Convert.ToBase64String(bt);
            filestream.Close();



            String querys = "";
            String bodys = "content=" + WebUtility.UrlEncode(base64String)+ "&ext=doc";
            String url = host + path;
            HttpWebRequest httpRequest = null;
            HttpWebResponse httpResponse = null;

            if (0 < querys.Length)
            {
                url = url + "?" + querys;
            }


            httpRequest = (HttpWebRequest)WebRequest.Create(url);
            
            httpRequest.Method = method;
            httpRequest.Headers.Add("Authorization", "APPCODE " + appcode);
            //根据API的要求，定义相对应的Content-Type
            httpRequest.ContentType = "application/x-www-form-urlencoded; charset=UTF-8";
            if (0 < bodys.Length)
            {
                byte[] data = Encoding.UTF8.GetBytes(bodys);
                using (Stream stream = httpRequest.GetRequestStream())
                {
                    stream.Write(data, 0, data.Length);
                }
            }
            try
            {
                httpResponse = (HttpWebResponse)httpRequest.GetResponse();
            }
            catch (WebException ex)
            {
                httpResponse = (HttpWebResponse)ex.Response;
            }

            Console.WriteLine(httpResponse.StatusCode);
            Console.WriteLine(httpResponse.Method);
            Console.WriteLine(httpResponse.Headers);
            Stream st = httpResponse.GetResponseStream();
            StreamReader reader = new StreamReader(st);
            Console.WriteLine(reader.ReadToEnd());
            Console.WriteLine("\n");

        }
    }
}
