package com.youyun;

import org.apache.commons.codec.binary.Base64;
import org.apache.commons.io.FileUtils;
import org.apache.http.HttpResponse;
import org.apache.http.util.EntityUtils;

import java.io.File;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

public class ALiYunExample {

    public static void main(String[] args) throws IOException {
        String host = "http://youyun.market.alicloudapi.com";
        String path = "/";
        String method = "POST";
        
        // 如何获得appcode?
        // market.aliyun.com->买家中心（左上角）->进入管理控制台->已购买的服务->简历解析->AppCode
        String appcode = '阿里云市场appcode';
        String cv_file = '要解析的简历文件，请使用绝对路径';
        File file = new File(cv_file);


        Map<String, String> headers = new HashMap<String, String>();
        //最后在header中的格式(中间是英文空格)为Authorization:APPCODE 83359fd73fe94948385f570e3c139105
        headers.put("Authorization", "APPCODE " + appcode);
        //根据API的要求，定义相对应的Content-Type
        headers.put("Content-Type", "application/x-www-form-urlencoded; charset=UTF-8");
        Map<String, String> querys = new HashMap<String, String>();
        Map<String, String> bodys = new HashMap<String, String>();

        byte[] bytes = FileUtils.readFileToByteArray(file);
        String base64 = Base64.encodeBase64String(bytes);

        bodys.put("content", base64);
        bodys.put("ext", "doc");

        try {
            /**
             * 重要提示如下:
             * HttpUtils请从
             * https://github.com/aliyun/api-gateway-demo-sign-java/blob/master/src/main/java/com/aliyun/api/gateway/demo/util/HttpUtils.java
             * 下载
             *
             * 相应的依赖请参照
             * https://github.com/aliyun/api-gateway-demo-sign-java/blob/master/pom.xml
             */
            HttpResponse response = HttpUtils.doPost(host, path, method, headers, querys, bodys);
            System.out.println(response.toString());
            //获取response的body
            System.out.println(EntityUtils.toString(response.getEntity()));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
